libstdc++: std::_Fwd_list_node< _Tp > Struct Template Reference

libstdc++

std::_Fwd_list_node< _Tp > Struct Template Reference

`#include <forward_list.h>`

Inheritance diagram for std::_Fwd_list_node< _Tp >:
[legend]

## Public Types
using | _Base_ptr
using | _Node_ptr

## Public Member Functions
_Fwd_list_node_base * | _M_base_ptr ()
const _Fwd_list_node_base * | _M_base_ptr () const
_Node_ptr | _M_node_ptr ()
void | _M_reverse_after () noexcept
_Fwd_list_node_base * | _M_transfer_after (_Fwd_list_node_base *__begin, _Fwd_list_node_base *__end) noexcept
const _Tp * | _M_valptr () const noexcept
_Tp * | _M_valptr () noexcept

## Public Attributes
_Fwd_list_node_base * | _M_next
__gnu_cxx::__aligned_buffer< _Tp > | _M_storage

## Detailed Description

template<typename _Tp>
struct std::_Fwd_list_node< _Tp >

A helper node class for forward_list. This is just a linked list with uninitialized storage for a data value in each node. There is a sorting utility method.

Definition at line 133 of file forward_list.h.

## Member Typedef Documentation

## ◆ _Base_ptr

using std::_Fwd_list_node_base::_Base_ptr
| inherited

Definition at line 71 of file forward_list.h.

## ◆ _Node_ptr

template<typename _Tp>

using std::_Fwd_list_node< _Tp >::_Node_ptr

Definition at line 136 of file forward_list.h.

## Member Function Documentation

## ◆ _M_base_ptr() [1/2]

_Fwd_list_node_base * std::_Fwd_list_node_base::_M_base_ptr | ( |  | ) |
| inlineinherited

Definition at line 122 of file forward_list.h.

## ◆ _M_base_ptr() [2/2]

const _Fwd_list_node_base * std::_Fwd_list_node_base::_M_base_ptr | ( |  | ) | const
| inlineinherited

Definition at line 123 of file forward_list.h.

## ◆ _M_node_ptr()

template<typename _Tp>

_Node_ptr std::_Fwd_list_node< _Tp >::_M_node_ptr | ( |  | ) |
| inline

Definition at line 151 of file forward_list.h.

## ◆ _M_reverse_after()

void std::_Fwd_list_node_base::_M_reverse_after | ( |  | ) |
| inlinenoexceptinherited

Definition at line 108 of file forward_list.h.

## ◆ _M_transfer_after()

_Fwd_list_node_base * std::_Fwd_list_node_base::_M_transfer_after | ( | _Fwd_list_node_base * | __begin,
|  | _Fwd_list_node_base * | __end )
| inlinenoexceptinherited

Definition at line 92 of file forward_list.h.

## ◆ _M_valptr() [1/2]

template<typename _Tp>

const _Tp * std::_Fwd_list_node< _Tp >::_M_valptr | ( |  | ) | const
| inlinenoexcept

Definition at line 147 of file forward_list.h.

## ◆ _M_valptr() [2/2]

template<typename _Tp>

_Tp * std::_Fwd_list_node< _Tp >::_M_valptr | ( |  | ) |
| inlinenoexcept

Definition at line 143 of file forward_list.h.

## Member Data Documentation

## ◆ _M_next

_Fwd_list_node_base* std::_Fwd_list_node_base::_M_next
| inherited

Definition at line 89 of file forward_list.h.

## ◆ _M_storage

template<typename _Tp>

__gnu_cxx::__aligned_buffer<_Tp> std::_Fwd_list_node< _Tp >::_M_storage

Definition at line 140 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h